* {
    margin:0;
    padding:0;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}

/* HERO PAGE */
.hero {
    background-image: url("images/bg.jpg");
    min-height: 100vh;
    background-position:center;
    background-repeat: no-repeat;
    background-size:cover;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top:60px;
}

.hero h1{
    font-family: "Cormorant", serif;
    font-size: 7.5rem;
    font-weight: 600;
}

.hero p{
    font-family: "Quicksand", sans-serif;
    font-size: 5vh;
    opacity: 0;
    transform: translateY(30px);
    animation: fadeIn 1.5s 1.5s ease forwards;
}

@keyframes fadeIn {
    to { opacity: 1; transform: translateY(0);}
}

.letter {
    display: inline-block;
    opacity: 0;
    transform: translateY(100px);
    animation: fadeSlideUp 1s ease forwards ;
    animation-delay: 1s;
 }

@keyframes fadeSlideUp {
    0% {opacity:0; transform: translateY(100px);}
    100% {opacity: 1; transform: translateY(0);}
}


/* QUOTE PAGE */
.quote{
    background-color: #e3d8c1;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.quote p{
    font-family: "Alan Sans", sans-serif;
    color: #260f06;
    font-size: 3rem;
    font-weight: 300;
    text-align: center;
}


/* ABOUT HER PAGE */
.about{                                           /*styling of the whole page*/
    background-color: #895737;
    min-height: 100vh;
    align-items: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.about-content{                             /*separation of content to add border and outline to the content div*/
    margin:3rem;
    padding: 5rem;
    box-sizing: border-box;
    border: 3px solid #4c2b08 ;
    outline: 3px solid #4c2b08 ;
    outline-offset: 10px;
    display:grid;
    grid-template-columns: 1fr 1fr;
    max-width: 1600px;
}


.about .img{
    width: 400px;
    height:400px;
    align-self: center;
}

.about img{
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: 8px solid #b99268;
    object-fit: cover;
}

/*
.about .img:hover {
  text-shadow: rgba(255, 230, 180, 0.9);
  transition: border 0.4s ease;
} */

.about .heading{
    font-family: "Playfair Display", sans-serif;
    font-size: 2rem;
    color: #fbf5e9;
    margin-bottom:2rem;
    text-align: center;
}

.about p{
    font-family:"Inter",serif ;
    font-size: 2rem;
    color:#d7c7bf;
}


 /* RESPONSIVE ABOUT HER PAGE */

 @media (max-width: 1100px) {   /* 110px because around that size the text and the image start to overlap */
  .about-content {
    display:flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    padding: 20px;
  }
  
  .about .img {
    transform: translatex(-30px);
    width: 300px;
    height:300px;
    align-self: left;
    margin-bottom: 20px;
  }

  .about h2 {
    font-size: 2rem;
  }
}


/* GALLERY */
.gallery-page{
    background-color: #340b00;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
/*
.divider{
    background: linear-gradient(to right, #d4af37, #5c4033, #d4af37);
    height: 3px;
    margin: 10px auto;
    width:auto;
    border-radius: 10px;
} */

.gallery-page .heading{
    font-family:"Great Vibes", cursive;
    font-size:3.5rem;
    color:#fffef2;
    padding-top: 0.5rem;
    text-align: center;
    align-self: center;
    margin-bottom:2rem;
}

/* arrow */
.p-arrow{
    display: flex;
    flex-direction: row;
    gap:1.3rem;

}

.p-arrow p{
    font-size: 1rem;
    font-family: 'Playfair Display', serif;
    color: #ffcc99; /* soft gold / light peach */
    text-shadow: 0 0 5px rgba(255, 204, 153, 0.6);
}

.arrow{
    font-size: 4rem;
}


.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
    max-width: 1000px;
    justify-items: center;
}

.gallery img {
    object-fit: cover;
    object-position: center;
    width:200px;
    height: 500px;
    border-radius: 8px;
    transition:object-fit 0.5s, box-shadow 0.5s ease-in-out;
    cursor: pointer;
    z-index: 0;
    overflow: hidden;
    filter: grayscale(100%);
}

.gallery img:hover {
    z-index:1;
    filter: none;
    width:auto;
    object-fit:fill; /* zoom */
    object-position: center;  
    box-shadow: 0 15px 25px 0 rgba(0,0,0,0.5);
}


/* Detailed Biography */
.biography {
    background-color: #e5d8bd;
    min-height: 100vh;
    justify-content: center;
}

.biography .heading{
    font-family:'Cinzel', 'sans-serif';
    font-size: 3.5rem;
    color:#282119;
    text-shadow: 0 0 4px #dcb589;
    padding-top: 3.5rem;
    justify-self: center;
}

.biography .content{
    display: grid;
    grid-template-columns: 1fr 1fr;
    max-width: 1200px;
    justify-self: center;
    gap:50px;
    padding: 5rem 0;
}

.drop-cap::first-letter {
    font-size: 5rem;
    float: left;
    color: #8b5e3c;
    font-weight: bold;
    font-family: 'Cinzel display', serif;
    line-height: 1;
    margin-right: 8px;
}
.drop-cap, .biography p {
    font-family: "Cormorant Garamond", serif;
    font-size: 1.5rem;
    color: #3b2e2a;
}


.biography .left,.right{
    font-family: "Cormorant Garamond", serif;
    font-size:1.2rem;
    color: #3b2e2a;
    max-width:500px;
}

@media (max-width: 1100px) {  
  .biography .heading{
    justify-content: centre;
    text-align: center;
  }

  .biography .content{
    margin:auto 1rem auto 1rem;
  }
}

/* characters */
.g {
    color: #a51c30; /* Deep Gryffindor red */
    text-shadow: 0 0 8px #ffc94d; /* soft gold glow only */
}

.h{
    color: #b76e25; /* Warm bronze-gold */
    text-shadow: 0 0 8px #f7c873; /* soft warm glow */
}

.gr{
    color: #2e8b57; /* Slytherin green */
    text-shadow: 0 0 8px #b0f0dc; /* soft silver-green glow */
}

.h_r{
    color: #7b2900; /* Deep warm reddish-brown */
    text-shadow: 0 0 8px #ffd700; /* golden glow */
}

.v{
    color: #2c2c2c; /* Dark gray-black */
    text-shadow: 0 0 8px #2a582a; /* eerie pale green glow */
}


/* Navbar */
.nav{
    background-color: rgba(60, 45, 33, 0.8);
    height:4rem;
    min-width: 100%;
    z-index: 1;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    position:fixed;
    top:0;
    padding: 0 5rem 0 5rem;
}

.nav a{
    color: #F8F9FA;  /* light text */
    text-decoration: none;
    font-family: "Love Ya Like A Sister", cursive;
    font-weight: 400;
    font-size: 1.5rem;
    transition: color 0.3s ease;
}

.nav a:hover{
    color:#FFC107;
}



/* FUN FACTS */
.factpage{
    background-color: #b49e8f;
    min-height: 100vh;
}

.factpage .heading{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top:3rem;
    margin-bottom: 5rem;
}
.factpage .head{
    font-family: "Shadows Into Light Two", cursive;
    font-size:3rem;
    letter-spacing: 2px;
    color: #5e4b3c;
}

.factpage .punch{
    font-family: "Englebert", cursive;
    font-size: 2rem;
    color:#8a5a6f;
    padding-top: 1rem;
}

@media (max-width: 1000px) {  
    .facts_content{
        grid-template-columns: repeat(2,1fr);
  }
}

@media (max-width:600px){
    .facts_content{
        grid-template-columns: 1fr;
    }
}


.facts_content{
    margin: auto;
    display: grid;
    max-width: 1300px;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 2rem;
    justify-items: center;
    align-content: center;
    text-align: center;

}

 .fact, .flip_card{
    margin-bottom:2rem;
    padding:30px;
    width:320px;
    height:220px;
    background:#f3e9dc ;
    border:2px solid #7b1e1e;
    color: #3e1f1f;
    border-radius: 20px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5);
    font-size: 1.3rem;
    font-family: 'Alan Sans', serif;
    display: flex;
    align-items: center;
    justify-content: center;
}


.facts_content h2{
    font-family: 'Cinzel', 'sans-serif';
    font-size:2rem;
    color: #5e4b3c;
    display: flex;
    justify-content: center;
    align-items: center;
}

.content1 h2, .content2 h2{
    margin-bottom: 1.1rem;
}

.facts_content .flip_to_find{
    font-size:1rem;
}

.flip_card{
    transform-style: preserve-3d;
    transition: transform 0.5s;
}
.front, .back{
    backface-visibility: hidden;
    position: absolute;
    padding:20px;
    font-size: 1.2rem;
}

.flip_card:hover{
    transform: rotateY(180deg);
}

.back{
    transform: rotateY(180deg);
}


/* FOOTER */
.footer {
    background: radial-gradient(circle at top, #e4ddd4 0%, #d1c7bb 100%);
    border-top: 2px solid rgba(75, 46, 5, 0.4);
    box-shadow: inset 0 0 20px rgba(0, 0, 0, 0.2);
    padding:3rem 4rem 1rem 4rem;
    font-family:'Cinzel', 'sans-serif';
    color:#3e1f00;
}

.footer .container{
    max-width: 1300px;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
}

.footer .heading{
    text-align: center;
    max-width: 750px;
    margin:0 auto;
    padding-bottom: 4rem;
}

.footer .heading h2{
    font-size: 1.5rem;
    letter-spacing: 1px;
    padding-bottom:0.8rem;
    text-transform: uppercase;
    font-weight: 500;
}

.footer .heading p{
    font-family: 'Crimson Text', serif;
    font-size:1rem;
}

.footer .columns{
    margin:0 auto;
    max-width: 1200px;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap:5rem;
    font-size:1.2rem;
}

.footer .column h2{
    font-size:1.2rem;
    border-bottom: 1px solid #260f068e;
    margin-bottom: 0.5rem;
    display: inline-block;
    font-weight: 500;
}

.footer ul{
    list-style: none;
}

.footer .column p, a{
    font-family: 'Crimson Text', serif;
    font-size:1rem;
    line-height: 1.7;
    text-decoration: none;
    color:#3e1f00;
}

.footer .column a:hover{
    font-weight: 600;
}

.footer .italic{
    font-style: italic;
    font-weight: 400;
    color: #5c3b12;
}

.footer-closing{
    opacity:0.8;
    text-align:center;
    border-top:1px solid hsla(17, 73%, 9%, 0.3);
    width:100%;
    margin-top:1.1rem;
    padding-top:0.6rem;
    font-size: 0.8rem;
}
